Invite an organization member by email
curl --request POST \
--url https://api.akua.dev/v1/organizations/{id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"role": "member"
}
'import requests
url = "https://api.akua.dev/v1/organizations/{id}/invitations"
payload = {
"email": "<string>",
"role": "member"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', role: 'member'})
};
fetch('https://api.akua.dev/v1/organizations/{id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"email": "jsmith@example.com",
"invited_by": "<string>",
"expires_at": 1,
"created_at": 1,
"updated_at": 1,
"etag": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Organizations
Invite an organization member by email
POST
/
organizations
/
{id}
/
invitations
Invite an organization member by email
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Path Parameters
Required string length:
1 - 54Body
application/json
Response
Invitation sent
Pattern:
^orgi_[a-z0-9]+$Required string length:
1 - 54Membership role in the organization
Available options:
owner, admin, member Available options:
pending, accepted, canceled Unix timestamp (seconds)
Required range:
x >= 0Unix timestamp (seconds)
Required range:
x >= 0Unix timestamp (seconds)
Required range:
x >= 0⌘I